### Method

# FwupdPlugin Plugin alloc_data

since: 0.8.0

#### Declaration [src]

    FuPluginData*
    fu_plugin_alloc_data (
      FuPlugin* self,
      gsize data_sz
    )

#### Description [src]

Allocates the per-plugin allocated private data.

Available since: 0.8.0

This method is not directly available to language bindings.

#### Parameters

`data_sz`

  Type: `gsize`

  The size to allocate.

#### Return value

Type: `FuPluginData`

A pointer to a structure, or `NULL` for unset.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.